# industry_sl.cpp File Reference

Code handling saving and loading of industries. More...

`#include "../stdafx.h"`
`#include "../tile_type.h"`
`#include "../strings_type.h"`
`#include "../company_type.h"`
`#include "../industry.h"`
`#include "../newgrf_commons.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions

static void | Save_INDY ()
static void | Save_IIDS ()
static void | Save_TIDS ()
static void | Load_INDY ()
static void | Load_IIDS ()
static void | Load_TIDS ()

## Variables

static const SaveLoad | _industry_desc []
static const SaveLoad | _industries_id_mapping_desc []
const ChunkHandler | _industry_chunk_handlers []

## Detailed Description

Code handling saving and loading of industries.

Definition in file industry_sl.cpp.

## Variable Documentation

const SaveLoad _industries_id_mapping_desc[]`[static]`

Initial value:

     {
      SLE_VAR(EntityIDMapping, grfid,         SLE_UINT32),
      SLE_VAR(EntityIDMapping, entity_id,     SLE_UINT8),
      SLE_VAR(EntityIDMapping, substitute_id, SLE_UINT8),

    }

Definition at line 73 of file industry_sl.cpp.

const ChunkHandler _industry_chunk_handlers[]

Initial value:

     {
      { 'INDY', Save_INDY, Load_INDY, CH_ARRAY},
      { 'IIDS', Save_IIDS, Load_IIDS, CH_ARRAY},
      { 'TIDS', Save_TIDS, Load_TIDS, CH_ARRAY | CH_LAST},
    }